## com.vividsolutions.jts.noding
Class SegmentNode

    java.lang.Object
      com.vividsolutions.jts.noding.SegmentNode

All Implemented Interfaces:
  java.lang.Comparable

public class SegmentNode
extends java.lang.Object
implements java.lang.Comparable

Represents an intersection point between two `SegmentString`s.

Version:
  1.7

Field Summary
`Coordinate` `coord`
`int` `segmentIndex`

Constructor Summary
`SegmentNode(NodedSegmentString segString, Coordinate coord, int segmentIndex, int segmentOctant)`

Method Summary
`int` `compareTo(java.lang.Object obj)`
`boolean` `isEndPoint(int maxSegmentIndex)`
`boolean` `isInterior()`
`void` `print(java.io.PrintStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### coord

    public final Coordinate coord

### segmentIndex

    public final int segmentIndex

Constructor Detail

### SegmentNode

    public SegmentNode(NodedSegmentString segString,
                       Coordinate coord,
                       int segmentIndex,
                       int segmentOctant)

Method Detail

### isInterior

    public boolean isInterior()

### isEndPoint

    public boolean isEndPoint(int maxSegmentIndex)

### compareTo

    public int compareTo(java.lang.Object obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Returns:
    -1 this SegmentNode is located before the argument location

### print

    public void print(java.io.PrintStream out)